#!/bin/sh
export PATH='/usr/obj/ports/hs-async-2.0.1.5/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: async
version: 2.0.1.5
id: async-2.0.1.5-2ef3697408a1916c928ebfc2d01f9acb

license: BSD3
copyright: (c) Simon Marlow 2012
maintainer: Simon Marlow <marlowsd@gmail.com>
stability:
homepage: https://github.com/simonmar/async
package-url:
synopsis: Run IO operations asynchronously and wait for their results
description: This package provides a higher-level interface over
             threads, in which an @Async a@ is a concurrent
             thread that will eventually deliver a value of
             type @a@.  The package provides ways to create
             @Async@ computations, wait for their results, and
             cancel them.
             .
             Using @Async@ is safer than using threads in two
             ways:
             .
             * When waiting for a thread to return a result,
             if the thread dies with an exception then the
             caller must either re-throw the exception
             ('\''wait'\'') or handle it ('\''waitCatch'\''); the
             exception cannot be ignored.
             .
             * The API makes it possible to build a tree of
             threads that are automatically killed when
             their parent dies (see '\''withAsync'\'').
             .
             Changes in 2.0.1.5:
             .
             * Bump @base@ dependencies for GHC 7.8
             .
             Changes in 2.0.1.4:
             .
             * Bump @base@ dependency of test suite
             .
             Changes in 2.0.1.3:
             .
             * Bump @base@ dependency to allow 4.6
             .
             Changes in 2.0.1.2:
             .
             * Bump @stm@ dependency to 2.4
             .
             Changes in 2.0.1.1:
             .
             * Safe Haskell support: @Control.Concurrent.Async@ is now @Trustworthy@
             .
             Changes in 2.0.1.0:
             .
             * Added a @Functor@ instance for @Async@
             .
             * Added @asyncBound@, @asyncOn@, @asyncWithUnmask@, @asyncOnWithUnmask@, @withAsyncBound@, @withAsyncOn@, @withAsyncWithUnmask@, @withAsyncOnWithUnmask@.
             .
             * Added @mapConcurrently@
             .
             * Added @Concurrently@ (with @Applicative@ and @Alternative@ instances)
category: Concurrency
author: Simon Marlow
pkgpath: devel/hs-async
exposed: True
exposed-modules: Control.Concurrent.Async
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc/async-2.0.1.5
library-dirs: /usr/local/lib/ghc/async-2.0.1.5
hs-libraries: HSasync-2.0.1.5
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.7.0.2-b11c3b9ddc2bebe1a3d85499c9ea3f18
         stm-2.4.2-f08c4cbd30cf2281350ade659974a0a4
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-async-2.0.1.5/html/async.haddock
haddock-html: /usr/local/share/doc/hs-async-2.0.1.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
